Mailing List Imports

Mailing list imports allow users to define recipients and senders of a mailing list by uploading a file defining sender and receiver contact information. These lists of senders and recipients are stored, validated, and used solely in Mailing Lists and will not appear as unique contacts.

To add mailing list imports to a mailing list, they must first be processed and stored with the status completed. Users can check the status of a mailing list import from the List Mailing List Imports or Get Mailing List endpoints. For more information on using mailing list imports in mailing lists, see Mailing Lists.

Mailing list imports allow the flexibility of adding unique senders for each receiver in the mailing list. To define specific senders for each receiver, include sender information in each row of the uploaded file and define sender information column headings in the senderMapping field in the Create Mailing List Imports request.

Currently, PostGrid's API only supports CSV files mailing list imports. Files can be uploaded directly to PostGrid in the request body, or the caller may also provide a URL to the file's download link. Uploaded CSVs should include the address information of each recipient, and the caller must provide the CSV's column mapping to each address field in the receiverMapping field. See Create Mailing List Imports for more information. Download a sample CSV that can be uploaded as a mailing list import here .

Mailing List Import Response

NameTypeDescription
idstringA unique ID prefixed with mailing_list_import_
objectstringalways mailing_list_import
livebooleantrue if this is a live mode mailing list import else false
descriptionstring or undefinedOptional line describing the contact
fileobjectSee File Response
invalidRowCountintegerNumber of invalid rows detected in uploaded file
validRowCountnumberNumber of valid rows detected in uploaded file
statuscompleted, validating, or changes_requiredProcessing status of uploaded mailing list import
reportUrlstringURL to file including status and errors detected for each row for uploaded mailing list
notesarray of objects with a type and messageNotes from processing uploaded mailing list imports file
errorsarray of objects with a type and messageErrors encountered when processing the uploaded mailing list import file
receiverStatusCountVerificationStatusCountStatus of processed receiver information. See VerifiedStatusCount
senderStatusCountVerificationStatusCount or nullStatus of processed sender information. See VerifiedStatusCount

File Response Object

NameTypeDescription
fileTypecsvType of file uploaded. Currently only csv is supported
receiverMappingobjectMapping of file headers to respective address fields for receiver
senderMappingobject or undefinedMapping of file headers to respective address fields for sender
urlstringURL to uploaded mailing list file

VerifiedStatusCount

NameTypeDescription
correctedCountnumberNumber of contacts that have been corrected
failedCountnumberNumber of contacts that have failed verification
verifiedCountnumberNumber of contacts that have verified

Processing Errors

Errors that may be encountered when processing mailing list imports are detailed below. Error information and processing status can be retrieved for mailing lists using the Get Mailing List Import and List Mailing List Imports endpoints.

TypeDescription
invalid_contact_count_errorAn odd number of receiving and sending contacts were detected. A receiver contact must be defined for each sender contact
multiple_countries_errorMultiple countries were detected for contacts. All contacts must share the same country code
no_valid_contacts_errorNo valid contacts were found in the uploaded file
internal_service_errorSomething went wrong on PostGrid's side